Hardcode lineweight

Discussion in 'AutoCAD' started by Eugene, Jun 23, 2004.

  1. Eugene

    Eugene Guest

    Hello,

    I want to temporarly change the layer lineweight from "bylayer" to .8mm.
    I've tried;

    ThisDrawing.SetVariable "celweight", 80

    and it doesnt work! I am currently using

    ThisDrawing.SetVariable "celweight", -1

    to set the lineweight to "bylayer". I must be close....what am I doing
    wrong?

    Thanks,
    Eugene
     
    Eugene, Jun 23, 2004
    #1
  2. Eugene

    wivory Guest

    How about something like:
    [pre]
    ThisDrawing.Layers("MyLayer").Lineweight = acLnWt080
    [/pre]
    Regards

    Wayne Ivory
    IT Analyst Programmer
    Wespine Industries Pty Ltd
     
    wivory, Jun 24, 2004
    #2
  3. Eugene

    Eugene Guest

    Thank's Wayne, but I dont think that is what I want to do. I dont want to
    change the layer "bylayer" lineweight, but instead change the lineweight
    from "bylayer" to .8mm. In further detail;

    I have two buttons that both place text per our office standard, one places
    General Text, the other places Title text.
    Our text layer for both General and Title text is called C-ANNO-TEXT, with a
    "bylayer" lineweight of .2
    General text goes on this level and has the lineweight property "bylayer"
    Title text goes on this level also, but instead of having a lineweight
    property of "bylayer (.2)" it will have a hard coded weight of .8 to make it
    bold.
    We use simplex so there isnt a "bold" option.

    Any suggestions?
    Thanks,
    Eugene
     
    Eugene, Jun 24, 2004
    #3
  4. Take your MText object, and modify the Lineweight property with the value
    Wayne gave you.

    --
    R. Robert Bell


    Thank's Wayne, but I dont think that is what I want to do. I dont want to
    change the layer "bylayer" lineweight, but instead change the lineweight
    from "bylayer" to .8mm. In further detail;

    I have two buttons that both place text per our office standard, one places
    General Text, the other places Title text.
    Our text layer for both General and Title text is called C-ANNO-TEXT, with a
    "bylayer" lineweight of .2
    General text goes on this level and has the lineweight property "bylayer"
    Title text goes on this level also, but instead of having a lineweight
    property of "bylayer (.2)" it will have a hard coded weight of .8 to make it
    bold.
    We use simplex so there isnt a "bold" option.

    Any suggestions?
    Thanks,
    Eugene
     
    R. Robert Bell, Jun 24, 2004
    #4
  5. Eugene

    Eugene Guest

    Thanks guys!
    That will work great. I have a very stupid question though regarding
    declaring variables. I have two forms one called BlockMan the other called
    ufMtxt.
    I have declaried sMtxt as AcadMText using.

    Public sMtxt As AcadMText
    Option Explicit

    I thought that would allow me to use sMtxt within the BlockMan form....it
    doesnt.

    What do I need to do to declare sMtxt so the value can be used throught my
    project?

    -Eugene

     
    Eugene, Jun 24, 2004
    #5
  6. Eugene

    Eugene Guest

    Got er' figured.
     
    Eugene, Jun 24, 2004
    #6
Ask a Question

Want to reply to this thread or ask your own question?

You'll need to choose a username for the site, which only take a couple of moments (here). After that, you can post your question and our members will help you out.